package ink.wgink.module.map.pojo.dtos.userlocation;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 *
 * @ClassName: UserLocationDTO
 * @Description: 用户定位
 * @Author: CodeFactory
 * @Date: 2021-10-29 15:37:01
 * @Version: 3.0
 **/
@ApiModel
public class UserLocationDTO implements Serializable {

    private static final long serialVersionUID = -4565373502011728209L;
    @ApiModelProperty(name = "userLocationId", value = "主键")
    private String userLocationId;
    @ApiModelProperty(name = "userLng", value = "用户经度")
    private String userLng;
    @ApiModelProperty(name = "userLat", value = "用户精度")
    private String userLat;
    @ApiModelProperty(name = "isOverstep", value = "是否越界")
    private Integer isOverstep;
    @ApiModelProperty(name = "userUsername", value = "用户名")
    private String userUsername;
    @ApiModelProperty(name = "userName", value = "昵称")
    private String userName;
    @ApiModelProperty(name = "creator", value = "创建人")
    private String creator;
    @ApiModelProperty(name = "gmtCreate", value = "创建时间")
    private String gmtCreate;

    public String getUserLocationId() {
        return userLocationId == null ? "" : userLocationId.trim();
    }

    public void setUserLocationId(String userLocationId) {
        this.userLocationId = userLocationId;
    }

    public String getUserLng() {
        return userLng == null ? "" : userLng.trim();
    }

    public void setUserLng(String userLng) {
        this.userLng = userLng;
    }

    public String getUserLat() {
        return userLat == null ? "" : userLat.trim();
    }

    public void setUserLat(String userLat) {
        this.userLat = userLat;
    }

    public Integer getIsOverstep() {
        return isOverstep == null ? 0 : isOverstep;
    }

    public void setIsOverstep(Integer isOverstep) {
        this.isOverstep = isOverstep;
    }

    public String getUserUsername() {
        return userUsername == null ? "" : userUsername.trim();
    }

    public void setUserUsername(String userUsername) {
        this.userUsername = userUsername;
    }

    public String getUserName() {
        return userName == null ? "" : userName.trim();
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }


}
